Main Page Modules Data Structures File List Data Fields Globals Related Pages

# bpf_hdr Struct Reference
[Packet.dll definitions and data structures]

Packet header. More...

`#include <Packet32.h>`

## Data Fields
timeval | bh_tstamp
UINT | bh_caplen
UINT | bh_datalen
| Original length of packet.
USHORT | bh_hdrlen
timeval | bh_tstamp
bpf_u_int32 | bh_caplen
bpf_u_int32 | bh_datalen
u_short | bh_hdrlen

## Detailed Description

Packet header.

This structure defines the header associated with every packet delivered to the application.

Definition at line 162 of file Packet32.h.

## Field Documentation

bpf_u_int32 bh_caplen

| Definition at line 72 of file Pcap-win32.c.

UINT bh_caplen

| Length of captured portion. The captured portion can be different from the original packet, because it is possible (with a proper filter) to instruct the driver to capture only a portion of the packets. Definition at line 165 of file Packet32.h. Referenced by NPF_Read(), NPF_tap(), NPF_TransferDataComplete(), and PrintPackets().

bpf_u_int32 bh_datalen

| Definition at line 73 of file Pcap-win32.c.

UINT bh_datalen

| Original length of packet. Definition at line 168 of file Packet32.h. Referenced by NPF_Read(), NPF_tap(), and PrintPackets().

u_short bh_hdrlen

| Definition at line 74 of file Pcap-win32.c.

USHORT bh_hdrlen

| Length of bpf header (this struct plus alignment padding). In some cases, a padding could be added between the end of this structure and the packet data for performance reasons. This filed can be used to retrieve the actual data of the packet. Definition at line 169 of file Packet32.h. Referenced by NPF_Read(), NPF_tap(), and PrintPackets().

struct timeval bh_tstamp

| Definition at line 71 of file Pcap-win32.c.

struct timeval bh_tstamp

| The timestamp associated with the captured packet. It is stored in a TimeVal structure. Definition at line 163 of file Packet32.h. Referenced by NPF_Read(), NPF_tap(), and NPF_TransferDataComplete().

The documentation for this struct was generated from the following files:

- Packet32.h
- Pcap-win32.c

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.